import { jsx } from "react/jsx-runtime";
import { TokenNWC as TokenNWC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNWC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NWC", "data-name": "TokenNWC", ...props, children: /* @__PURE__ */ jsx(TokenNWC$1, { variant }) });
  }
);
TokenNWC.displayName = "TokenNWC";
Object.assign(TokenNWC, { isGdsIcon: true });
export {
  TokenNWC
};
